diff --git a/wwjcloud/src/common/sys/controllers/admin/PrinterTemplateController.ts b/wwjcloud/src/common/sys/controllers/admin/PrinterTemplateController.ts
index 2bedc62..27ddfa5 100644
--- a/wwjcloud/src/common/sys/controllers/admin/PrinterTemplateController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/PrinterTemplateController.ts
@@ -10,6 +10,7 @@
   UseGuards,
   Req,
   ParseIntPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse, ApiParam } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -44,26 +45,29 @@ export class PrinterTemplateController {
   @ApiOperation({ summary: '获取打印模板分页列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getPage(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.printerTemplateService.getPage(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.printerTemplateService.getPage(siteId, query);
   }
 
   @Get('list')
   @ApiOperation({ summary: '获取打印模板列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getList(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.printerTemplateService.getList(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.printerTemplateService.getList(siteId, query);
   }
 
   @Get('types')
   @ApiOperation({ summary: '获取模板类型列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getTemplateTypes(@Req() req: AuthenticatedRequest) {
-    const result = await this.printerTemplateService.getTemplateTypes();
-    return { code: 200, message: '获取成功', data: result };
+    return await this.printerTemplateService.getTemplateTypes();
   }
 
   @Get('by-type/:type')
@@ -74,12 +78,14 @@ export class PrinterTemplateController {
     @Param('type') type: string,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.printerTemplateService.getTemplatesByType(
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.printerTemplateService.getTemplatesByType(
       siteId,
       type,
     );
-    return { code: 200, message: '获取成功', data: result };
   }
 
   @Get(':templateId')
@@ -90,25 +96,25 @@ export class PrinterTemplateController {
     @Param('templateId', ParseIntPipe) templateId: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.printerTemplateService.getInfo(
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.printerTemplateService.getInfo(
       siteId,
       templateId,
     );
-    return { code: 200, message: '获取成功', data: result };
   }
 
   @Post()
   @ApiOperation({ summary: '新增打印模板' })
   @ApiResponse({ status: 200, description: '创建成功' })
   async add(@Body() data: any, @Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerTemplateService.add(siteId, data);
-      return { code: 200, message: '创建成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '创建失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerTemplateService.add(siteId, data);
   }
 
   @Put(':templateId')
@@ -120,17 +126,15 @@ export class PrinterTemplateController {
     @Body() data: any,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerTemplateService.edit(
-        siteId,
-        templateId,
-        data,
-      );
-      return { code: 200, message: '更新成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '更新失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerTemplateService.edit(
+      siteId,
+      templateId,
+      data,
+    );
   }
 
   @Post(':templateId/preview')
@@ -142,17 +146,15 @@ export class PrinterTemplateController {
     @Body() data: { preview_data?: any },
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerTemplateService.previewTemplate(
-        siteId,
-        templateId,
-        data.preview_data,
-      );
-      return { code: 200, message: '预览成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '预览失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerTemplateService.previewTemplate(
+      siteId,
+      templateId,
+      data.preview_data,
+    );
   }
 
   @Delete(':templateId')
@@ -163,12 +165,10 @@ export class PrinterTemplateController {
     @Param('templateId', ParseIntPipe) templateId: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.printerTemplateService.del(siteId, templateId);
-      return { code: 200, message: '删除成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '删除失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.printerTemplateService.del(siteId, templateId);
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/RoleController.ts b/wwjcloud/src/common/sys/controllers/admin/RoleController.ts
index b8d86f4..e8db8ac 100644
--- a/wwjcloud/src/common/sys/controllers/admin/RoleController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/RoleController.ts
@@ -10,6 +10,7 @@ import {
   UseGuards,
   Req,
   ParseIntPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import {
   ApiTags,
@@ -45,7 +46,7 @@ interface AuthenticatedRequest extends Request {
  * 对应PHP: app\adminapi\controller\sys\Role
  */
 @ApiTags('角色管理')
-@Controller('adminapi/sys/role')
+@Controller('admin/sys/role')
 @UseGuards(JwtAuthGuard, RolesGuard)
 @Roles('admin')
 export class RoleController {
@@ -58,46 +59,32 @@ export class RoleController {
     @Query() query: RoleQueryDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.roleService.getPage(siteId, query);
-    return {
-      code: 200,
-      message: '获取成功',
-      data: result,
-    };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.roleService.getPage(siteId, query);
   }
 
   @Get('all')
-  @ApiOperation({ summary: '获取所有角色列表' })
+  @ApiOperation({ summary: '获取所有角色' })
   @ApiResponse({ status: 200, description: '获取成功' })
-  async getAll(@Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const userId = req.user?.uid || 0;
-
-    // TODO: 实现用户权限检查
-    // 暂时假设为超级管理员，后续完善权限模块时补充
-    const isAdmin = true;
-    const userRoleIds: number[] = [];
-
-    const result = await this.roleService.getAll(siteId, userRoleIds, isAdmin);
-    return {
-      code: 200,
-      message: '获取成功',
-      data: result,
-    };
+  async getAll(@Query('siteId') siteId?: number, @Query('isAdmin') isAdmin?: boolean) {
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.roleService.getAll(siteId, [], isAdmin);
   }
 
   @Get('column')
   @ApiOperation({ summary: '获取角色键值对' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getColumn(@Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.roleService.getColumn(siteId);
-    return {
-      code: 200,
-      message: '获取成功',
-      data: result,
-    };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.roleService.getColumn(siteId);
   }
 
   @Get(':roleId')
@@ -105,12 +92,7 @@ export class RoleController {
   @ApiParam({ name: 'roleId', description: '角色ID' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getInfo(@Param('roleId', ParseIntPipe) roleId: number) {
-    const result = await this.roleService.getInfo(roleId);
-    return {
-      code: 200,
-      message: '获取成功',
-      data: result,
-    };
+    return await this.roleService.getInfo(roleId);
   }
 
   @Post()
@@ -120,31 +102,21 @@ export class RoleController {
     @Body() createRoleDto: CreateRoleDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const appType = 'admin'; // 默认为admin类型
-
-      // 处理rules字段
-      const roleData = {
-        ...createRoleDto,
-        rules: createRoleDto.rules
-          ? JSON.stringify(createRoleDto.rules)
-          : undefined,
-      };
-
-      const result = await this.roleService.add(siteId, appType, roleData);
-      return {
-        code: 200,
-        message: '创建成功',
-        data: result,
-      };
-    } catch (error) {
-      return {
-        code: 400,
-        message: error.message || '创建失败',
-        data: null,
-      };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    const appType = 'admin'; // 默认为admin类型
+
+    // 处理rules字段
+    const roleData = {
+      ...createRoleDto,
+      rules: createRoleDto.rules
+        ? JSON.stringify(createRoleDto.rules)
+        : undefined,
+    };
+
+    return await this.roleService.add(siteId, appType, roleData);
   }
 
   @Put(':roleId')
@@ -156,30 +128,20 @@ export class RoleController {
     @Body() updateRoleDto: UpdateRoleDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-
-      // 处理rules字段
-      const roleData = {
-        ...updateRoleDto,
-        rules: updateRoleDto.rules
-          ? JSON.stringify(updateRoleDto.rules)
-          : undefined,
-      };
-
-      const result = await this.roleService.edit(roleId, siteId, roleData);
-      return {
-        code: 200,
-        message: '更新成功',
-        data: result,
-      };
-    } catch (error) {
-      return {
-        code: 400,
-        message: error.message || '更新失败',
-        data: null,
-      };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+
+    // 处理rules字段
+    const roleData = {
+      ...updateRoleDto,
+      rules: updateRoleDto.rules
+        ? JSON.stringify(updateRoleDto.rules)
+        : undefined,
+    };
+
+    return await this.roleService.edit(roleId, siteId, roleData);
   }
 
   @Put('status/:roleId')
@@ -191,25 +153,15 @@ export class RoleController {
     @Body() modifyStatusDto: ModifyRoleStatusDto,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.roleService.modifyStatus(
-        roleId,
-        siteId,
-        modifyStatusDto.status,
-      );
-      return {
-        code: 200,
-        message: '修改成功',
-        data: result,
-      };
-    } catch (error) {
-      return {
-        code: 400,
-        message: error.message || '修改失败',
-        data: null,
-      };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.roleService.modifyStatus(
+      roleId,
+      siteId,
+      modifyStatusDto.status,
+    );
   }
 
   @Delete(':roleId')
@@ -220,21 +172,11 @@ export class RoleController {
     @Param('roleId', ParseIntPipe) roleId: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.roleService.del(roleId, siteId);
-      return {
-        code: 200,
-        message: '删除成功',
-        data: result,
-      };
-    } catch (error) {
-      return {
-        code: 400,
-        message: error.message || '删除失败',
-        data: null,
-      };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.roleService.del(roleId, siteId);
   }
 
   @Get('menu-ids/:roleIds')
@@ -251,7 +193,10 @@ export class RoleController {
     @Query('allow_menu_keys') allowMenuKeys: string = '',
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
     const roleIdArray = roleIds
       .split(',')
       .map((id) => parseInt(id.trim()))
@@ -263,15 +208,10 @@ export class RoleController {
           .filter((key) => key)
       : [];
 
-    const result = await this.roleService.getMenuIdsByRoleIds(
+    return await this.roleService.getMenuIdsByRoleIds(
       siteId,
       roleIdArray,
       allowMenuKeyArray,
     );
-    return {
-      code: 200,
-      message: '获取成功',
-      data: result,
-    };
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/ScheduleController.ts b/wwjcloud/src/common/sys/controllers/admin/ScheduleController.ts
index d2bb286..b512643 100644
--- a/wwjcloud/src/common/sys/controllers/admin/ScheduleController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/ScheduleController.ts
@@ -10,6 +10,7 @@
   UseGuards,
   Req,
   ParseIntPipe,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse, ApiParam } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -42,18 +43,22 @@ export class ScheduleController {
   @ApiOperation({ summary: '获取定时任务分页列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getPage(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.scheduleService.getPage(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.scheduleService.getPage(siteId, query);
   }
 
   @Get('list')
   @ApiOperation({ summary: '获取定时任务列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getList(@Query() query: any, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.scheduleService.getList(siteId, query);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.scheduleService.getList(siteId, query);
   }
 
   @Get(':id')
@@ -64,22 +69,22 @@ export class ScheduleController {
     @Param('id', ParseIntPipe) id: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.scheduleService.getInfo(siteId, id);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.scheduleService.getInfo(siteId, id);
   }
 
   @Post()
   @ApiOperation({ summary: '新增定时任务' })
   @ApiResponse({ status: 200, description: '创建成功' })
   async add(@Body() data: any, @Req() req: AuthenticatedRequest) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.scheduleService.add(siteId, data);
-      return { code: 200, message: '创建成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '创建失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.scheduleService.add(siteId, data);
   }
 
   @Put(':id')
@@ -91,13 +96,11 @@ export class ScheduleController {
     @Body() data: any,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.scheduleService.edit(siteId, id, data);
-      return { code: 200, message: '更新成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '更新失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.scheduleService.edit(siteId, id, data);
   }
 
   @Put(':id/start')
@@ -108,13 +111,11 @@ export class ScheduleController {
     @Param('id', ParseIntPipe) id: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.scheduleService.start(siteId, id);
-      return { code: 200, message: '启动成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '启动失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.scheduleService.start(siteId, id);
   }
 
   @Put(':id/stop')
@@ -125,13 +126,11 @@ export class ScheduleController {
     @Param('id', ParseIntPipe) id: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.scheduleService.stop(siteId, id);
-      return { code: 200, message: '停止成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '停止失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.scheduleService.stop(siteId, id);
   }
 
   @Delete(':id')
@@ -142,12 +141,10 @@ export class ScheduleController {
     @Param('id', ParseIntPipe) id: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    try {
-      const siteId = req.user?.siteId || 0;
-      const result = await this.scheduleService.del(siteId, id);
-      return { code: 200, message: '删除成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '删除失败', data: null };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
     }
+    return await this.scheduleService.del(siteId, id);
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/ScheduleLogController.ts b/wwjcloud/src/common/sys/controllers/admin/ScheduleLogController.ts
index 30382ce..04e5db2 100644
--- a/wwjcloud/src/common/sys/controllers/admin/ScheduleLogController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/ScheduleLogController.ts
@@ -1,4 +1,4 @@
-﻿import { Controller, Get, Query, UseGuards, Req } from '@nestjs/common';
+﻿import { Controller, Get, Query, UseGuards, Req, UnauthorizedException } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse } from '@nestjs/swagger';
 import type { Request } from 'express';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
@@ -29,27 +29,35 @@ export class ScheduleLogController {
   @ApiOperation({ summary: '获取定时任务日志分页列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getPage(@Query() query: any, @Req() req: AuthenticatedRequest) {
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
     // TODO: 实现定时任务日志分页列表
-    return { code: 200, message: '获取成功', data: { list: [], total: 0 } };
+    return { list: [], total: 0 };
   }
 
   @Get('list')
   @ApiOperation({ summary: '获取定时任务日志列表' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getList(@Query() query: any, @Req() req: AuthenticatedRequest) {
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
     // TODO: 实现定时任务日志列表
-    return { code: 200, message: '获取成功', data: [] };
+    return [];
   }
 
   @Get('stats')
   @ApiOperation({ summary: '获取定时任务统计信息' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getStats(@Req() req: AuthenticatedRequest) {
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
     // TODO: 实现定时任务统计信息
-    return {
-      code: 200,
-      message: '获取成功',
-      data: { total: 0, success: 0, failed: 0 },
-    };
+    return { total: 0, success: 0, failed: 0 };
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/SystemController.ts b/wwjcloud/src/common/sys/controllers/admin/SystemController.ts
index 5713877..ca2ad84 100644
--- a/wwjcloud/src/common/sys/controllers/admin/SystemController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/SystemController.ts
@@ -1,4 +1,4 @@
-﻿import { Controller, Get, Post, UseGuards, Req } from '@nestjs/common';
+﻿import { Controller, Get, Post, UseGuards, Req, UnauthorizedException } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse } from '@nestjs/swagger';
 import type { Request } from 'express';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
@@ -17,10 +17,10 @@ interface AuthenticatedRequest extends Request {
 
 /**
  * 系统信息管理控制器 - 管理端
- * 路由前缀: /adminapi/sys/system
+ * 路由前缀: /admin/sys/system
  */
 @ApiTags('系统信息')
-@Controller('adminapi/sys/system')
+@Controller('admin/sys/system')
 @UseGuards(JwtAuthGuard, RolesGuard)
 @Roles('admin')
 export class SystemController {
@@ -30,52 +30,45 @@ export class SystemController {
   @ApiOperation({ summary: '获取系统信息' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getInfo(@Req() req: AuthenticatedRequest) {
-    const result = await this.systemService.getInfo();
-    return { code: 200, message: '获取成功', data: result };
+    return await this.systemService.getInfo();
   }
 
   @Get('url')
   @ApiOperation({ summary: '获取系统URL信息' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getUrl(@Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.systemService.getUrl(siteId);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.systemService.getUrl(siteId);
   }
 
   @Get('stats')
   @ApiOperation({ summary: '获取系统统计信息' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getSystemStats(@Req() req: AuthenticatedRequest) {
-    const result = await this.systemService.getSystemStats();
-    return { code: 200, message: '获取成功', data: result };
+    return await this.systemService.getSystemStats();
   }
 
   @Get('system-info')
   @ApiOperation({ summary: '获取详细系统信息' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getSystemInfo(@Req() req: AuthenticatedRequest) {
-    const result = await this.systemService.getSystemInfo();
-    return { code: 200, message: '获取成功', data: result };
+    return await this.systemService.getSystemInfo();
   }
 
   @Post('clear-cache')
   @ApiOperation({ summary: '清理系统缓存' })
   @ApiResponse({ status: 200, description: '清理成功' })
   async clearCache(@Req() req: AuthenticatedRequest) {
-    try {
-      const result = await this.systemService.clearCache();
-      return { code: 200, message: '清理成功', data: result };
-    } catch (error) {
-      return { code: 400, message: error.message || '清理失败', data: null };
-    }
+    return await this.systemService.clearCache();
   }
 
   @Get('check-config')
   @ApiOperation({ summary: '检查系统配置' })
   @ApiResponse({ status: 200, description: '检查完成' })
   async checkSystemConfig(@Req() req: AuthenticatedRequest) {
-    const result = await this.systemService.checkSystemConfig();
-    return { code: 200, message: '检查完成', data: result };
+    return await this.systemService.checkSystemConfig();
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/admin/UeditorController.ts b/wwjcloud/src/common/sys/controllers/admin/UeditorController.ts
index 55216f9..8cf07ce 100644
--- a/wwjcloud/src/common/sys/controllers/admin/UeditorController.ts
+++ b/wwjcloud/src/common/sys/controllers/admin/UeditorController.ts
@@ -16,10 +16,10 @@ interface AuthenticatedRequest extends Request {
 
 /**
  * 富文本编辑器控制器 - 管理端
- * 路由前缀: /adminapi/sys/ueditor
+ * 路由前缀: /admin/sys/ueditor
  */
 @ApiTags('富文本编辑器')
-@Controller('adminapi/sys/ueditor')
+@Controller('admin/sys/ueditor')
 @UseGuards(JwtAuthGuard, RolesGuard)
 @Roles('admin')
 export class UeditorController {
@@ -49,7 +49,7 @@ export class UeditorController {
   @ApiResponse({ status: 200, description: '上传成功' })
   async upload(@Req() req: AuthenticatedRequest) {
     // TODO: 实现编辑器文件上传
-    return { code: 200, message: '上传成功', data: null };
+    return null;
   }
 
   @Get('list')
@@ -57,6 +57,6 @@ export class UeditorController {
   @ApiResponse({ status: 200, description: '获取成功' })
   async getFileList(@Query() query: any, @Req() req: AuthenticatedRequest) {
     // TODO: 实现文件列表获取
-    return { code: 200, message: '获取成功', data: { list: [], total: 0 } };
+    return { list: [], total: 0 };
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/api/ApiAreaController.ts b/wwjcloud/src/common/sys/controllers/api/ApiAreaController.ts
index 7f2940f..30bd2bc 100644
--- a/wwjcloud/src/common/sys/controllers/api/ApiAreaController.ts
+++ b/wwjcloud/src/common/sys/controllers/api/ApiAreaController.ts
@@ -6,6 +6,7 @@
   Req,
   ParseIntPipe,
   Query,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse, ApiParam } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -34,9 +35,11 @@ export class ApiAreaController {
     @Req() req: AuthenticatedRequest,
     @Query('parent_id') parentId?: number,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.apiAreaService.getAreaList(siteId, parentId);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiAreaService.getAreaList(siteId, parentId);
   }
 
   @Get(':areaId')
@@ -47,8 +50,10 @@ export class ApiAreaController {
     @Param('areaId', ParseIntPipe) areaId: number,
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.apiAreaService.getAreaInfo(siteId, areaId);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiAreaService.getAreaInfo(siteId, areaId);
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/api/ApiConfigController.ts b/wwjcloud/src/common/sys/controllers/api/ApiConfigController.ts
index 0af82a0..23deaae 100644
--- a/wwjcloud/src/common/sys/controllers/api/ApiConfigController.ts
+++ b/wwjcloud/src/common/sys/controllers/api/ApiConfigController.ts
@@ -6,6 +6,7 @@
   Query,
   UseGuards,
   Req,
+  UnauthorizedException,
 } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse } from '@nestjs/swagger';
 import type { Request } from 'express';
@@ -22,7 +23,7 @@ interface AuthenticatedRequest extends Request {
 }
 
 @ApiTags('API配置')
-@Controller('api/sys/config')
+@Controller('api/sys/settings')
 @UseGuards(JwtAuthGuard)
 export class ApiConfigController {
   constructor(private readonly apiConfigService: ApiConfigService) {}
@@ -31,9 +32,11 @@ export class ApiConfigController {
   @ApiOperation({ summary: '获取配置' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getConfig(@Query('key') key: string, @Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.apiConfigService.getConfig(siteId, key);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiConfigService.getConfig(siteId, key);
   }
 
   @Post('batch')
@@ -43,8 +46,10 @@ export class ApiConfigController {
     @Body() body: { keys: string[] },
     @Req() req: AuthenticatedRequest,
   ) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.apiConfigService.getConfigs(siteId, body.keys);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiConfigService.getConfigs(siteId, body.keys);
   }
 }
diff --git a/wwjcloud/src/common/sys/controllers/api/ApiIndexController.ts b/wwjcloud/src/common/sys/controllers/api/ApiIndexController.ts
index c7d90f9..6e46369 100644
--- a/wwjcloud/src/common/sys/controllers/api/ApiIndexController.ts
+++ b/wwjcloud/src/common/sys/controllers/api/ApiIndexController.ts
@@ -1,4 +1,4 @@
-﻿import { Controller, Get, UseGuards, Req } from '@nestjs/common';
+﻿import { Controller, Get, UseGuards, Req, UnauthorizedException } from '@nestjs/common';
 import { ApiTags, ApiOperation, ApiResponse } from '@nestjs/swagger';
 import type { Request } from 'express';
 import { JwtAuthGuard } from '../../../auth/guards/JwtAuthGuard';
@@ -14,7 +14,7 @@ interface AuthenticatedRequest extends Request {
 }
 
 @ApiTags('API首页')
-@Controller('api/sys/index')
+@Controller('api/sys/home')
 @UseGuards(JwtAuthGuard)
 export class ApiIndexController {
   constructor(private readonly apiIndexService: ApiIndexService) {}
@@ -23,16 +23,17 @@ export class ApiIndexController {
   @ApiOperation({ summary: '获取首页信息' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getIndexInfo(@Req() req: AuthenticatedRequest) {
-    const siteId = req.user?.siteId || 0;
-    const result = await this.apiIndexService.getIndexInfo(siteId);
-    return { code: 200, message: '获取成功', data: result };
+    const siteId = req.user?.siteId;
+    if (!siteId) {
+      throw new UnauthorizedException('未授权访问：缺少 site_id');
+    }
+    return await this.apiIndexService.getIndexInfo(siteId);
   }
 
   @Get('system')
   @ApiOperation({ summary: '获取系统信息' })
   @ApiResponse({ status: 200, description: '获取成功' })
   async getSystemInfo(@Req() req: AuthenticatedRequest) {
-    const result = await this.apiIndexService.getSystemInfo();
-    return { code: 200, message: '获取成功', data: result };
+    return await this.apiIndexService.getSystemInfo();
   }
 }
